aboutsummaryrefslogtreecommitdiff
path: root/aux/ci/ci-build.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-07 21:42:08 -0300
committerEuAndreh <eu@euandre.org>2021-06-07 21:42:08 -0300
commit849ccbba56f7f12f983bcbb2a6cfdd04329fe2e4 (patch)
treeda07e25e8538d952e6202793665a939f28083e3e /aux/ci/ci-build.sh
parentUpdate link to project websites (diff)
downloadeuandre.org-849ccbba56f7f12f983bcbb2a6cfdd04329fe2e4.tar.gz
euandre.org-849ccbba56f7f12f983bcbb2a6cfdd04329fe2e4.tar.xz
Update files under aux/
Diffstat (limited to 'aux/ci/ci-build.sh')
-rwxr-xr-xaux/ci/ci-build.sh74
1 files changed, 38 insertions, 36 deletions
diff --git a/aux/ci/ci-build.sh b/aux/ci/ci-build.sh
index 21788f4..b6769a9 100755
--- a/aux/ci/ci-build.sh
+++ b/aux/ci/ci-build.sh
@@ -8,43 +8,45 @@ FILENAME="$(date -Is)-$SHA.log"
LOGFILE="$LOGS_DIR/$FILENAME"
{
- echo "Starting CI job at: $(date -Is)"
-
- finish() {
- STATUS="$?"
- printf "\n\n>>> exit status was %s\n" "$STATUS"
- echo "Finishing CI job at: $(date -Is)"
- cd -
- NOTE=$(cat <<EOF
+ echo "Starting CI job at: $(date -Is)"
+
+ finish() {
+ STATUS="$?"
+ printf "\n\n>>> exit status was %s\n" "$STATUS"
+ echo "Finishing CI job at: $(date -Is)"
+ cd -
+ NOTE=$(cat <<EOF
See CI logs with:
- git notes --ref=refs/notes/ci-logs show $SHA
- git notes --ref=refs/notes/ci-data show $SHA
+ git notes --ref=refs/notes/ci-logs show $SHA
+ git notes --ref=refs/notes/ci-data show $SHA
EOF
)
- git notes --ref=refs/notes/ci-data add -f -m "$STATUS $FILENAME"
- git notes --ref=refs/notes/ci-logs add -f -F "$LOGFILE"
- git notes append -m "$NOTE"
-
- printf "\n>>>\n>>> CI logs added as Git note.\n>>>\n>>> Run status was %s" "$STATUS"
- }
- trap finish EXIT
-
- unset GIT_DIR
- REMOTE="$PWD"
- cd "$(mktemp -d)"
- git clone "$REMOTE" .
- git config --global user.email git@euandre.org
- git config --global user.name 'EuAndreh CI'
- git fetch origin refs/notes/*:refs/notes/*
- git annex get ||:
-
- if [ -f aux/guix/with-container.sh ]; then
- RUNNER='./aux/guix/with-container.sh'
- else
- RUNNER='sh -c'
- fi
-
- $RUNNER 'make clean public dev-check'
-
- rsync -a public/ "/srv/http/$PACKAGE/" --delete
+ git notes --ref=refs/notes/ci-data add -f -m "$STATUS $FILENAME"
+ git notes --ref=refs/notes/ci-logs add -f -F "$LOGFILE"
+ git notes append -m "$NOTE"
+
+ cd -
+ sh aux/ci/report.sh "$PACKAGE"
+ rsync -a public/ "/srv/http/$PACKAGE/" --delete
+
+ printf "\n>>>\n>>> CI logs added as Git note.\n>>>\n>>> Run status was %s" "$STATUS"
+ }
+ trap finish EXIT
+
+ unset GIT_DIR
+ REMOTE="$PWD"
+ cd "$(mktemp -d)"
+ git clone "$REMOTE" .
+ git config --global user.email git@euandre.org
+ git config --global user.name 'EuAndreh CI'
+ git fetch origin refs/notes/*:refs/notes/*
+ git annex get ||:
+
+ if [ -f aux/guix/with-container.sh ]; then
+ RUNNER='./aux/guix/with-container.sh'
+ else
+ RUNNER='sh -c'
+ fi
+
+ $RUNNER 'make clean public dev-check'
} 2>&1 | tee "$LOGFILE"